Schimbarea stării plății
Schimbă starea plății înregistrate, de exemplu după confirmarea unui transfer. Trimite noua stare, versiunea actuală a plății și motivul.
PATCH
/api/v1/orders/{order_id}/payment-statusCerere cURL
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/orders/order-0000/payment-status \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: example-adjust_payment_status_api_v1_orders__order_id__payment_status_patch' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":0,"reason":"Bank transfer confirmed","status":"paid"}'
Răspuns
{
"data": {
"deleted": false,
"id": "payment-0000",
"version": 2
},
"meta": {
"request_id": "example"
}
}
Permisiuni necesare
- Autentificare
- Token de acces
- Disponibil începând cu
- BASIC
- Permisiunea cheii
- Ajustați starea plății
payments.payment:adjust_status